package _VisualDVM.ProjectData.Messages.Recommendations;
import Common.Database.Objects.iDBObject;
import Common.Utils.Utils_;
import _VisualDVM.Passes.PassCode;
import com.sun.org.glassfish.gmbal.Description;
public class MessageRecommendation extends iDBObject {
    //рекомендация может касаться, либо настройки либо прохода. так же может быть просто текстовой.
    @Description("DEFAULT 'Text'")
    public RecommendationType type = RecommendationType.Text;
    @Description("DEFAULT 'Undefined'")
    public String argName = "Undefined";//либо имя настройки либо имя прохода
    @Description("DEFAULT ''")
    public String argValue = ""; //Либо значение настройки либо аргумент для прохода
    @Description("DEFAULT ''")
    public String text = ""; //текст
    public MessageRecommendation() {
    }
    public MessageRecommendation(PassCode passCode_in) {
        type = RecommendationType.Transformation;
        argName = passCode_in.toString();
        text = "Выполните преобразование " + Utils_.Quotes(passCode_in.getDescription());
    }
    public MessageRecommendation(String settingDescription_in, String settingValue_in) {
        type = RecommendationType.Setting;
        argName = settingDescription_in.toString();
        argValue = settingValue_in;
        if (argValue.equals("1"))
            text = "Включите настройку SAPFOR " + Utils_.Quotes(settingDescription_in);
        else if (argValue.equals("0"))
            text = "Отключите настройку SAPFOR " + Utils_.Quotes(settingDescription_in);
        else
            text = "Задайте значение " + Utils_.DQuotes(argValue) + " для настройки SAPFOR " + Utils_.Quotes(settingDescription_in);
    }
    public MessageRecommendation(String text_in) {
        type = RecommendationType.Text;
        text = text_in;
    }
    public boolean isMatch(MessageRecommendation recommendation_in) {
        return type.equals(recommendation_in.type) &&
                argName.equals(recommendation_in.argName) &&
                argValue.equals(recommendation_in.argValue);
    }
}
